Unfavorite a Node

You can use this API request to unfavorite a node.
The system tracks favorites on a per-user basis, with each user having a separate set of nodes marked as favorites.
The system automatically extracts the identity of the user unfavoriting the node, from the credentials used to authenticate the request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/services/v2/node/[nodeId]/unmarkfavorite.json

You can use the following parameters in your unfavorite a node request:

Other options: wrap

🚧

Permissions & Notes:

  • You must have the Mark as favorite permission under Standard Roles in the Advanced Editor.

  • You must also have the View the question page permission under Anonymous Roles in the Advanced Editor.

  • We added this request in version 1.6.3.

Sample Request

A PUT unfavorite a node request to unfavorite a node (nodeId: 544) sent to https://apidocs.cloud.answerhub.comv using a human-readable Username/Password (answerhub/test123) would look like this:

curl 
-u answerhub:test123 
-H "Accept: application/json" 
-H "Content-type: application/json" 
-X PUT "https://apidocs.cloud.answerhub.com/services/v2/node/544/unmarkfavorite.json"

Expected Response

Successful Response:

  • HTTP Status 200 - OK
{
    "success": true,
    "result": {
        "favoriteAction": {
            "id": 1062,
            "ip": "172.20.0.3",
            "user": {
                "id": 108,
                "username": "admin",
                "avatarUrl": "https://secure.gravatar.com/avatar/4e955c70eeff0abe1974c9be300a8887?d=identicon&r=PG"
            },
            "actionDate": "2019-02-05 14:19:39.0",
            "canceled": true,
            "canceledByUser": {
                "id": 108,
                "username": "admin",
                "avatarUrl": "https://secure.gravatar.com/avatar/4e955c70eeff0abe1974c9be300a8887?d=identicon&r=PG"
            },
            "canceledDate": "Tue Feb 05 14:29:12 UTC 2019",
            "extra": null,
            "private": false,
            "verb": "favorited",
            "node": {
                "id": 544,
                "type": "question"
            }
        },
        "favoriteCount": 0
    }
}
Path Params
int32
required
Defaults to 544
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json